Subject: bug#47156: closed (Re: [PATCH 00/10] Move some Bioconductor packages to (gnu packages bioconductor).)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 15 Mar 2021 13:10:02 +0000

Your bug report

#47156: [PATCH 00/10] Move some Bioconductor packages to (gnu packages bioconductor).

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47156: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47156
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 00/10] Move some Bioconductor packages to (gnu packages bioconductor).
From: Ricardo Wurmus <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Mar 2021 14:09:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

zimoun <[email-masked]> writes:
>
> Janitor [1] patch set.  It moves Bioconductor packages from (gnu packages
> bioinformatics) to (gnu packages bioconductor).  Far to be complete; still 5
> pacth set like this one are coming...

Thank you, I applied it (last commit is
bf612ead766ee5afcdccd7c8ab003b791ecea9df).

-- 
Ricardo

Subject: [PATCH 00/10] Move some Bioconductor packages to (gnu packages bioconductor).
From: zimoun <[email-masked]>
To: [email-masked]
Cc: [email-masked], zimoun <[email-masked]>
Date: Mon, 15 Mar 2021 13:58:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Janitor [1] patch set.  It moves Bioconductor packages from (gnu packages
bioinformatics) to (gnu packages bioconductor).  Far to be complete; still 5
pacth set like this one are coming...

1: <https://lists.gnu.org/archive/html/guix-commits/2020-09/msg00416.html>

To transfer the Copyright, I use:

   git --no-pager log --date=format:"%Y" --format="%ad %an %s" --grep=r-<name>

Then, after the move, I run:

   ./pre-inst-env guix build r-<name> --no-grafts
   ./pre-inst-env guix build r-<name> --no-grafts --check

and at the end of the series, I run:

    make as-derivation

to check that "guix pull" is not broken; just in case.

Last, I have not carefully checked the imported modules, so it could
be possible to perhaps remove couple of #:use-module (gnu packages <useless>)
in gnu/packages/bioinformatics.scm.

All the best,
simon

zimoun (10):
  gnu: r-grohmm: Move to (gnu packages bioconductor).
  gnu: r-biocviews: Move to (gnu packages bioconductor).
  gnu: r-biocstyle: Move to (gnu packages bioconductor).
  gnu: r-bioccheck: Move to (gnu packages bioconductor).
  gnu: r-s4vectors: Move to (gnu packages bioconductor).
  gnu: r-iranges: Move to (gnu packages bioconductor).
  gnu: r-genomeinfodbdata: Move to (gnu packages bioconductor).
  gnu: r-genomeinfodb: Move to (gnu packages bioconductor).
  gnu: r-edger: Move to (gnu packages bioconductor).
  gnu: r-variantannotation: Move to (gnu packages bioconductor).

 gnu/packages/bioconductor.scm   | 303 +++++++++++++++++++++++++++++++
 gnu/packages/bioinformatics.scm | 307 --------------------------------
 2 files changed, 303 insertions(+), 307 deletions(-)

base-commit: 1ed435bf394eee1a6cd9c354efb405920c212f0e
-- 
2.30.1